gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin A container with a handle and a detachable child widget.

The HandleBox widget allows a portion of a window to be "torn off". It is a widget that displays its child with a handle that the user can drag to create a separate floating window containing the child widget and the 'handle'.

A thin ghost is drawn in the original location of the HandleBox. By dragging the separate window back to its original location, it can be reattached. When reattaching, the ghost and float window, must be aligned along one of the edges, the . This can either be specified by the application programmer explicitly, otherwise a reasonable default will be used, based on the .

To make detaching and reattaching the HandleBox as minimally confusing as possible to the user, it is important to set the snap edge so that it does not move when the HandleBox is deattached. For instance, if the HandleBox is packed at the bottom of a , then when the HandleBox is detached, the bottom edge of the HandleBox's allocation will remain fixed as the height of the HandleBox shrinks, so the snap edge should be set to .

The child of this widget is set using the method in .

- Constructor
  2.12.0.0
  The main way to create a HandleBox.

  Creates a new HandleBox, with the set to the .

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  2.12.0.0
  GLib.Signal("child_attached")
  Gtk.ChildAttachedHandler This event is raised when the contents of the HandleBox are reattached to the main window.
- Event
  2.12.0.0
  GLib.Signal("child_detached")
  Gtk.ChildDetachedHandler This event is raised when the contents of the handlebox are detached from the main window.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("handle-position")
  Gtk.PositionType Manage where the handle of this container is placed. The current position of the handle.

  Note: In western cultures, anything other than a handle for horizontal HandleBoxes, or a handle for vertical HandleBoxes, may seem strange to users.

  The reverse is likely to be true for cultures with languages that are written from right to left.

- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChildAttached", Type=typeof(Gtk.HandleBox))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChildDetached", Type=typeof(Gtk.HandleBox))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("shadow")
  Gtk.ShadowType Manage the appearance of the surrounding the child widget. The current style of shadow in use.
- Property
  2.12.0.0
  Gtk.ShadowType Manage the appearance of the surrounding the child widget. The current style of shadow in use.
- Property
  2.12.0.0
  GLib.Property("snap-edge")
  Gtk.PositionType Manage which edge a detached HandleBox must reattach to. The current edge that snapping works with.

  To ensure good usability, this edge should be set to a side of the HandleBox whose position or size will not be altered when the child is detached.

- Property
  2.12.0.0
  GLib.Property("snap-edge-set")
  System.Boolean Whether to use the value from the snap_edge property or a value derived from handle_position. a